package com.unis.dev.modular.job.task;

import com.unis.common.timer.CommonTimerTaskRunner;
import com.unis.financialSupervision.modular.fsunrotatedgrainstorage.service.BizFsUnrotatedGrainStorageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Slf4j
@Component
public class NotRotatedTaskRunner implements CommonTimerTaskRunner {

    @Resource
    private BizFsUnrotatedGrainStorageService bizFsUnrotatedGrainStorageService;

    @Override
    public void action() {

        log.info("------------未轮换分品种分库存定时任务开始执行------------");
        bizFsUnrotatedGrainStorageService.notRotatedData();
        return;
    }
}











